## ros-humble-nmea-hardware-interface 0.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(nmea_hardware_interface)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if($ENV{ROS_DISTRO} STREQUAL "galactic")
  add_definitions(-DGALACTIC)
endif()

# find dependencies

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(ros2_control REQUIRED)
find_package(pluginlib REQUIRED)
find_package(realtime_tools REQUIRED)
find_package(hardware_interface REQUIRED)
find_package(quaternion_operation REQUIRED)
find_package(controller_interface REQUIRED)
find_package(geographic_msgs REQUIRED)
find_package(nmea_msgs REQUIRED)
find_package(Boost REQUIRED COMPONENTS system thread)

add_library(nmea_hardware_interface SHARED
  src/gps_hardware_interface.cpp
)

target_include_directories(
  nmea_hardware_interface
  PRIVATE
  include
  ${Boost_INCLUDE_DIRS}
)

target_link_libraries(
  nmea_hardware_interface
  Boost::thread 
)



ament_target_dependencies(nmea_hardware_interface
  hardware_interface
  pluginlib
  rclcpp
  ros2_control
  realtime_tools
  geographic_msgs
  quaternion_operation
  nmea_msgs
)
pluginlib_export_plugin_description_file(hardware_interface nmea_hardware_interface.xml)

add_library(nmea_controller_interface SHARED
  src/geopose_publisher.cpp
)

target_include_directories(
  nmea_controller_interface
  PRIVATE
  include
)

ament_target_dependencies(nmea_controller_interface
  controller_interface
  hardware_interface
  pluginlib
  rclcpp
  ros2_control
  realtime_tools
  geographic_msgs
)
pluginlib_export_plugin_description_file(controller_interface nmea_controller_interface.xml)

ament_export_libraries(
  nmea_hardware_interface nmea_controller_interface
)
ament_export_dependencies(
  hardware_interface
  pluginlib
  rclcpp
  ros2_control
  realtime_tools
  quaternion_operation
  geographic_msgs
  nmea_msgs
)

install(
  TARGETS nmea_hardware_interface nmea_controller_interface
  DESTINATION lib
)


install(DIRECTORY config launch urdf
  DESTINATION share/${PROJECT_NAME}
)



if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-nmea-hardware-interface (0.0.1-3bookworm) bookworm; urgency=high

  * Merge pull request #3 <https://github.com/OUXT-Polaris/nmea_hardware_interface/issues/3> from OUXT-Polaris/feature/future
    clang-format
  * clang-format
  * Merge pull request #2 <https://github.com/OUXT-Polaris/nmea_hardware_interface/issues/2> from OUXT-Polaris/feature/future
    change_include_order
  * change_include_order
  * Merge pull request #1 <https://github.com/OUXT-Polaris/nmea_hardware_interface/issues/1> from OUXT-Polaris/feature/future
    Feature/future
  * add stamped
  * topic echo geopose
  * fix error
  * 11/03
  * change urdf
  * change $GxRMC
  * connect serialport
  * add xml file
  * fix build error
  * 10/06
  * change cmakeLists
  * aiueo
  * add
  * add
  * add
  * create
  * Initial commit
  * Contributors: KentaOkamoto, kentaokamoto

 -- kenta <kenntabsk@gmail.com>  Fri, 31 Dec 2021 16:00:00 -0000

=== debian/control ===
Source: ros-humble-nmea-hardware-interface
Section: misc
Priority: optional
Maintainer: kenta <kenntabsk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgtk-3-dev, pkg-config, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-controller-interface, ros-humble-geographic-msgs, ros-humble-hardware-interface, ros-humble-nmea-msgs, ros-humble-ouxt-lint-common <!nocheck>, ros-humble-pluginlib, ros-humble-quaternion-operation, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-realtime-tools, ros-humble-ros2-control, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-nmea-hardware-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libgtk-3-dev, pkg-config, ros-humble-controller-interface, ros-humble-geographic-msgs, ros-humble-hardware-interface, ros-humble-nmea-msgs, ros-humble-pluginlib, ros-humble-quaternion-operation, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-realtime-tools, ros-humble-ros2-control, ros-humble-rviz2, ros-humble-ros-workspace
Description: ros2 hardware interface for nmea_gps

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-nmea-hardware-interface//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-nmea-hardware-interface//opt/ros/humble/opt/nmea_hardware_interface/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
